'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (gulp, opts) {

  gulp.task('flow:check', function (done) {
    var _require = require('child_process');

    var spawnSync = _require.spawnSync;

    // TODO(vjpr): Limit output to fit on screen to allow user to work through errors from first to last.

    spawnSync('flow', ['status', '--no-auto-start'], { stdio: 'inherit' });
    done();
  });

  gulp.task('flow:watch', gulp.series('flow:check', function watcher() {
    var gutil = require('gulp-util');

    // Used by `compile` task to check whether we should only compile changed files.
    gulp.isWatching = true;

    // Sometimes we might want to use src, sometimes something else.
    gulp.watch(opts.srcGlob, gulp.series('flow:check')).on('change', function (evt) {
      gutil.log('---');
      gutil.log('File changed:', gutil.colors.red(evt.path));
    });
  }));

  // TODO(vjpr): Do.
  //gulp.task('flow:bootstrap')
};

var flowConfig = '';
module.exports = exports['default'];